::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------

set ciosversion=21004
::must be <=65535

set d2x-beta-rev=4-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ]

set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=6442980ae9855a51f1634cc60a8ecb67
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=4998ce42fb6168b0b6ff4373e2e05eae
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=1c04f1cb32bac4eeffd71d561f9bfb40
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=1e2c851f42936c8af4d6b68a2b6d19bf
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=9260b5bb8d30ccbfb199d9d7f3def534
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=2b61e3d4de9fd17bd60484dcd43b6437
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=61527eff8292cc40fca63e608ea3a528
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=29e4938a87562b4bcd56433c4a6c320d
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=6dd9a57c27140abe9774671fa435ff09
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=3a825f7699415233d77ca892b1e25c49
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=5ed459526837c63cedf8c25db5ad0047
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=6e98b06510a2265cb40c3c584fee8f89
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=57fcf7ad648fdfcded1a78dc68b076bf
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=91eee372d93a8f1995d315f415544d37
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

